package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.PrinterTemplate;
import com.neusoft.smart.pos.printer.persistent.domain.PrinterTemplateExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrinterTemplateMapper {
    int countByExample(PrinterTemplateExample example);

    int deleteByExample(PrinterTemplateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PrinterTemplate record);

    int insertSelective(PrinterTemplate record);

    List<PrinterTemplate> selectByExample(PrinterTemplateExample example);

    PrinterTemplate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PrinterTemplate record, @Param("example") PrinterTemplateExample example);

    int updateByExample(@Param("record") PrinterTemplate record, @Param("example") PrinterTemplateExample example);

    int updateByPrimaryKeySelective(PrinterTemplate record);

    int updateByPrimaryKey(PrinterTemplate record);

    void batchInsert(@Param("items") List<PrinterTemplate> items);
}